Debian package: xulrunner packages switched from -xy.0 to -xy from xy=27 on
authorAxel Beckert <abe@deuxchevaux.org>
Sat, 16 Nov 2013 16:56:24 +0000 (16 17:56 +0100)
committerAxel Beckert <abe@deuxchevaux.org>
Sat, 16 Nov 2013 16:56:41 +0000 (16 17:56 +0100)
debian/bin/conkeror
debian/control

index e44edf4..ad24f91 100644 (file)
@@ -5,12 +5,14 @@
 # Find an appropriate xulrunner binary
 XULRUNNER=''
 # Due to http://bugs.debian.org/683157 we currently have to skip xulrunner-14.0
-for version in `LC_ALL=C seq 27.0 -1 15.0` `LC_ALL=C seq 13.0 -1 5.0` 2.0 1.9.2 1.9.1; do
-    XRTMP=`which xulrunner-$version`
-    if [ -n "$XRTMP" -a -x "$XRTMP" ]; then
-       XULRUNNER=$XRTMP
-       break
-    fi
+for version in `LC_ALL=C seq 27 -1 15` `LC_ALL=C seq 13 -1 5` 2 1.9.2 1.9.1; do
+    for subversion in $version $version.0; do
+        XRTMP=`which xulrunner-$subversion`
+        if [ -n "$XRTMP" -a -x "$XRTMP" ]; then
+           XULRUNNER=$XRTMP
+           break 2
+        fi
+    done
 done
 
 # Try firefox if no xulrunner can be found
index 02e90c1..123062a 100644 (file)
@@ -12,7 +12,7 @@ Package: conkeror
 Architecture: all
 Depends: ${misc:Depends},
  xulrunner-24.0  |
- xulrunner-27.0  |
+ xulrunner-27    |
  xulrunner-26.0  |
  xulrunner-25.0  |
  xulrunner-23.0  |